## CamelSaslGssapi

CamelSaslGssapi

## Functions

gboolean | camel_sasl_gssapi_is_available ()
void | camel_sasl_gssapi_override_host_and_user ()

## Object Hierarchy

        GObject
        ╰── CamelSasl
            ╰── CamelSaslGssapi

## Description

## Functions

### camel_sasl_gssapi_is_available ()

    gboolean
    camel_sasl_gssapi_is_available (void);

#### Returns

Whether the GSSAPI/KRB5 sasl authentication mechanism is available, which means whether Camel was built with KRB5 enabled.

Since: 3.12

### camel_sasl_gssapi_override_host_and_user ()

    void
    camel_sasl_gssapi_override_host_and_user
                                   (CamelSaslGssapi *sasl,
                                    const gchar *override_host,
                                    const gchar *override_user);

Set host and user to use, instead of those in CamelService's settings. It's both or none, aka either set both, or the settings values are used. This is used to not require CamelService instance at all.

#### Parameters

sasl | a CamelSaslGssapi |
override_host | Host name to use during challenge processing; can be `NULL`. | [nullable]
override_user | User name to use during challenge processing; can be `NULL`. | [nullable]

Since: 3.12